<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	$textl = 'Массовая очиска сообщений';
	$headmod = 'pochta';
	require_once('../incfiles/head.php');
	if ($rights < 7) {
		echo display_error('Доступ закрыт');
		require_once ('../incfiles/end.php');
		exit;
	}
	echo '<div class="phdr"><h3>Чистка сообщений</h3></div>';
	echo '<div class="rmenu">Будут удалены сообщения всех пользователей за выбранный период включая и ваши сообщения</div>';
	if (isset ($_POST['submit'])) {
		$clear = isset ($_POST['clear']) ? abs(intval($_POST['clear'])) : '';
		switch ($clear) {
			case '1' :
				// Чистим сообщения, старше 1 недели
				$query = mysql_query("SELECT * FROM `mail_msg` WHERE `time`<='" . ($realtime - 604800) . "'");
				while($row = mysql_fetch_assoc($query)) {
					if($row['file'])
						@ unlink('../files/pochta/' . $row['file']);
					mysql_query("DELETE FROM `mail_msg` WHERE `id`='" . $row['id'] . "' LIMIT 1;");
					mysql_query("OPTIMIZE TABLE `mail_msg`;");
				}
				echo '<div class="menu">Все сообщения старше одной недели удалены</div>';
			break;

			case '2' :
				// Проводим полную очистку
				mysql_query("TRUNCATE `mail_msg`;");
				mysql_query("OPTIMIZE TABLE `mail_msg`;");
				$dir = glob('../files/pochta/*', GLOB_NOSORT);
				foreach ($dir as $filename) {
					@ unlink($filename);
				}
				echo '<div class="menu">Все сообщения удалены</div>';
			break;

			default :
				// Чистим сообщения, старше 1 месяца
				$query = mysql_query('SELECT * FROM `mail_msg` WHERE `time`<=' . ($realtime - 2592000));
				while($row = mysql_fetch_assoc($query)) {
					if($row['file'])
						@ unlink('../files/pochta/' . $row['file']);
					mysql_query("DELETE FROM `mail_msg` WHERE `id`='".$row['id']."' LIMIT 1;");
					mysql_query("OPTIMIZE TABLE `mail_msg`;");
				}
				echo '<div class="menu">Все сообщения старше одного месяца удалены</div>';
		}
	}
	else {
		echo '<div class="gmenu">За какое время чистим?</div>';
		echo '<form id="clean" method="post" action="'.$home.'/pochta/index.php?act=clear"><div class="list1">';
		echo '<input type="radio" name="clear" value="0" checked="checked" />Старше 1 месяца<br />';
		echo '<input type="radio" name="clear" value="1" />Старше 1 недели<br />';
		echo '<input type="radio" name="clear" value="2" />Очищаем все<br />';
		echo '<input type="submit" name="submit" value="Очистить" />';
		echo '</div></form>';
	}
	echo '<div class="menu"><a href="'.$home.'/index.php?act=cab">Кабинет</a></div>';
?>